| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs
OgreThreads.h File Reference
`#include "OgreSharedPtr.h"`
`#include <pthread.h>`

## Classes
class | Ogre::ThreadHandle
class | Ogre::Threads

## Namespaces
| Ogre

## Macros
#define | OGRE_THREAD_CALL_CONVENTION
#define | THREAD_DECLARE(threadFunction)
#define | THREAD_GET(threadFunction) threadFunction##_internal

## Typedefs
typedef void *(OGRE_THREAD_CALL_CONVENTION * | Ogre::THREAD_ENTRY_POINT) (void *lpThreadParameter)
typedef SharedPtr< ThreadHandle > | Ogre::ThreadHandlePtr
typedef vector< ThreadHandlePtr >::type | Ogre::ThreadHandleVec

## Macro Definition Documentation

## ◆ OGRE_THREAD_CALL_CONVENTION

#define OGRE_THREAD_CALL_CONVENTION

## ◆ THREAD_DECLARE

#define THREAD_DECLARE | ( |  | threadFunction | ) |

Value:
void* OGRE_THREAD_CALL_CONVENTION threadFunction##_internal( void *argName )\
{\
unsigned long retVal = 0;\
Ogre::ThreadHandle *threadHandle( reinterpret_cast<Ogre::ThreadHandle*>( argName ) );\
try {\
retVal = threadFunction( threadHandle );\
}\
catch( ... )\
{\
}\
delete threadHandle;\
\
return (void*)retVal;\
}
OGRE_THREAD_CALL_CONVENTION
#define OGRE_THREAD_CALL_CONVENTION
Definition: OgreThreads.h:43

See also
  Threads::CreateThread for an example on how to use

## ◆ THREAD_GET

#define THREAD_GET | ( |  | threadFunction | ) | threadFunction##_internal